summaryrefslogtreecommitdiff
path: root/games-roguelike/FTL-gog
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /games-roguelike/FTL-gog
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'games-roguelike/FTL-gog')
-rw-r--r--games-roguelike/FTL-gog/FTL-gog-1.6.9.25330.ebuild63
-rw-r--r--games-roguelike/FTL-gog/Manifest1
-rw-r--r--games-roguelike/FTL-gog/metadata.xml17
3 files changed, 81 insertions, 0 deletions
diff --git a/games-roguelike/FTL-gog/FTL-gog-1.6.9.25330.ebuild b/games-roguelike/FTL-gog/FTL-gog-1.6.9.25330.ebuild
new file mode 100644
index 000000000000..d06484d8ce7f
--- /dev/null
+++ b/games-roguelike/FTL-gog/FTL-gog-1.6.9.25330.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit desktop unpacker
+
+DESCRIPTION="Top-down roguelike space ship simulator"
+HOMEPAGE="https://www.gog.com/game/faster_than_light"
+SRC_URI="ftl_advanced_edition_${PV//./_}.sh"
+RESTRICT="bindist fetch mirror strip test"
+
+LICENSE="GOG-EULA"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE=""
+
+BDEPEND="app-arch/unzip"
+RDEPEND="media-libs/freetype
+ media-libs/libsdl[X,sound,opengl,video]
+ media-libs/libpng
+ sys-libs/zlib
+ virtual/opengl"
+
+S="${WORKDIR}/data/noarch"
+
+pkg_nofetch() {
+ elog "Please buy and download ${SRC_URI} from"
+ elog "https://www.gog.com/game/faster_than_light"
+}
+
+src_unpack() {
+ unpack_zip "${DISTDIR}/${A}"
+}
+
+src_prepare() {
+ default
+ rm -r support/{xdg*,*.{sh,txt}} || die
+ if ! use x86; then
+ rm game/data/FTL.x86 || die
+ fi
+ if ! use amd64; then
+ rm game/data/FTL.amd64 || die
+ fi
+
+ sed -i start.sh -e '/chmod/d' || die
+}
+
+src_install() {
+ insinto /opt/gog/FTL
+ doins -r .
+ fperms +x /opt/gog/FTL/{start.sh,game/FTL,game/data/FTL}
+
+ if use x86; then
+ fperms +x /opt/gog/FTL/game/data/FTL.x86
+ fi
+ if use amd64; then
+ fperms +x /opt/gog/FTL/game/data/FTL.amd64
+ fi
+
+ make_desktop_entry "/opt/gog/FTL/start.sh" "FTL: Advanced Edition" FTL
+ newicon support/icon.png FTL.png
+}
diff --git a/games-roguelike/FTL-gog/Manifest b/games-roguelike/FTL-gog/Manifest
new file mode 100644
index 000000000000..6e6e90bdc56a
--- /dev/null
+++ b/games-roguelike/FTL-gog/Manifest
@@ -0,0 +1 @@
+DIST ftl_advanced_edition_1_6_9_25330.sh 200833898 BLAKE2B 9eb048e302158f1cc040492a9fb5bd84038dd9202b8cfdd08ec50a3e55326da18048f4eab0c8b79ecf47229d54b59fca46cebaa107d253eadc0cc5659da4792b SHA512 7b1d87b5def455989290366ef80652361dee9d0fd2838806d2386d8a1df44e0ab125c5538aa07b20382be4aa3054b14b4a489b39b6aa252f3cc00ead8504186c
diff --git a/games-roguelike/FTL-gog/metadata.xml b/games-roguelike/FTL-gog/metadata.xml
new file mode 100644
index 000000000000..f7a18f00baaf
--- /dev/null
+++ b/games-roguelike/FTL-gog/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>kitsunenokenja@protonmail.ch</email>
+ <name>Rob Levitsky</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>games@gentoo.org</email>
+ <name>Gentoo Games Project</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>